#pragma once

#include "pipe.h"

namespace game{

class tank: public basicPipe, public selectable, public withGui
{
public:
    tank(const vec2u &pos, level *root);

    virtual void draw();

    virtual void onGui() noexcept;

    virtual void select() noexcept;
    virtual void hover() noexcept;
protected:

    void _drawWindow();
    void _drawShortInfo();

    bool _needShowGui, _needShowShortInfo;

};

}
